<?xml version="1.0" encoding="UTF-8" ?>
<!DOCTYPE mapper
        PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN"
        "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.xunmei.core.edu.mapper.CoreEduTrainingTaskToUserMapper">
    <resultMap type="com.xunmei.common.core.domain.edu.domain.CoreEduTrainingTaskToUser"
               id="CoreEduTrainingTaskToUserResult">
        <result property="eduTrainingTaskId" column="edu_training_task_id"/>
        <result property="userId" column="user_id"/>
        <result property="type" column="type"/>
    </resultMap>

    <sql id="selectCoreEduTrainingTaskToUserVo">
        select edu_training_task_id, user_id, type
        from core_edu_training_task_to_user
    </sql>

    <update id="updateSign">
        update core_edu_training_task_to_user
        set sign      = 1,
            sign_image=#{signImage}
        where edu_training_task_id = #{eduTrainingTaskId}
          and user_id = #{userId}
    </update>
</mapper>